// Code scaffolded by goctl. Safe to edit.
// goctl 1.9.2

package svc

import (
	"juwan-backend/app/game/api/internal/config"
	"juwan-backend/app/game/rpc/gameservice"

	"github.com/zeromicro/go-zero/zrpc"
)

type ServiceContext struct {
	Config  config.Config
	GameRpc gameservice.GameService
}

func NewServiceContext(c config.Config) *ServiceContext {
	return &ServiceContext{
		Config:  c,
		GameRpc: gameservice.NewGameService(zrpc.MustNewClient(c.GameRpcConf)),
	}
}
